initializeCovarianceMatrices {AnaCoDa} | R Documentation

## Initialize Covariance Matrices

### Description

Initialize Covariance Matrices

### Usage

    initializeCovarianceMatrices(parameter, genome, numMixtures,
      geneAssignment, init.csp.variance = 0.0025)

### Arguments

`parameter` | A Parameter object that corresponds to one of the model types. Valid values are "ROC", "PA", and "FONSE".
`genome` | An object of type Genome necessary for the initialization of the Parameter object.
`numMixtures` | The number of mixture elements for the underlying mixture distribution (numMixtures > 0).
`geneAssignment` | A vector holding the initial mixture assignment for each gene. The vector length has to equal the number of genes in the genome. Valid values for the vector range from 1 to numMixtures. It is possible but not advised to leave a mixture element empty.
`init.csp.variance` | initial proposal variance for codon specific parameter, default is 0.0025.

### Value

parameter Returns the Parameter argument, now modified with initialized mutation, selection, and covariance matrices.

[Package AnaCoDa version 0.1.3.0 Index]